LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-03-2005, 03:19 AM   #1
nadroj
Senior Member
 
Registered: Jan 2005
Location: Canada
Distribution: ubuntu
Posts: 2,539

Rep: Reputation: 59
trouble 'make'ing baghira on slack10.1


iv downloaded the newest release of baghira (here )
i get no problems when i './configure' but when i 'make' it doesnt like it.. iv chekd the forums on sourceforge for it but cant seem to find my problem.
here is the last bit of the output:
Quote:
baghiraclient.moc: In member function `bool
Baghira::ResizeHandle::qt_property(int, int, QVariant*)':
baghiraclient.moc:88: error: cannot call member function `virtual bool
QWidget::qt_property(int, int, QVariant*)' without object
baghiraclient.moc: At global scope:
baghiraclient.moc:91: error: invalid use of undefined type `struct
Baghira::ResizeHandle'
baghiraclient.h:387: error: forward declaration of `struct
Baghira::ResizeHandle'
make[2]: *** [baghiraclient.lo] Error 1
make[2]: Leaving directory `/home/jordan/baghira-0.6e/deco'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/home/jordan/baghira-0.6e/deco'
make: *** [install-recursive] Error 1
well.. actually theres alot more, really. it looks like its just programming logic errors in the c files.. but i shouldnt have to go in and fix them all as im sure this has been found before right? maybe ill try and download the release .4 release not this .6 and install that one, well, try to.
also, theres a link to the binary packages (here) but the slackware one doesnt load. however, i did find a site hosting the same file.. but it looks like its compiled under slack 10.0.. would it kill me to try and run that one, even though im on slack10.1?
thanks for any help

Last edited by nadroj; 06-03-2005 at 03:20 AM.
 
Old 06-03-2005, 04:16 AM   #2
mrosati
Member
 
Registered: Nov 2003
Location: Mestre - ITALY
Distribution: Debian sarge
Posts: 132

Rep: Reputation: 15
hi.
having a look on what kind of errors you get, i think that the problem is that you do not have the QT development libraries installed. But i am not sure, can you post the top most error that you get compiling these souces?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Baghira Problem megadeth Linux - Software 1 06-03-2005 07:06 AM
Difficulty make'ing paketto-1.0: /usr/bin/ld: cannot find -lnet rtwatts07 Linux - Newbie 2 12-28-2004 09:46 PM
Baghira and KDE 3.3 mykrob Linux - Software 0 09-02-2004 11:47 AM
Problems 'make'ing glibc-2.3.2 jrtayloriv Linux - Software 0 06-26-2004 11:40 PM
Baghira shodekiagari Linux - Software 0 05-17-2004 10:24 PM


All times are GMT -5. The time now is 03:06 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration